Skip to content

Transportial OTMS API (0.9.74)

Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.

Download OpenAPI description
Languages
Servers
Mock server
https://docs.transportial.com/_mock/apis
Test environment
https://test.api.otms.transportial.com/api
Production
https://api.otms.transportial.com/api

Calendar Events

Calendar occurrences for vehicles within a date range.

Operations

Tender

Tenders can be stacked and constrain different activities in their context

Operations

Widget

Widgets can be stacked and constrain different activities in their context

Operations

Vehicle

A Vehicle is a means to transport consignments from one location to potentially multiple other locations. There are various types of vehicles, each with their own unique properties like size, dimensions, fuel type and means of tranport (by air, on land, over sea).

Operations

Trip

A Trip is an aggregate entity that combines various entities to model visiting various locations, potentially doing one or multiple actions on each location, such as loading or unloading consignments. It is optionally coupled to a Vehicle that is/was driving this trip.

Operations

File

File management. Upload, retrieve and download files. Categorized by it's purpose.

Operations

CapacityContract

The CapacityContract is the entity to model a contract of a purchase of certain amount of scheduled capacity.

Operations

MessageTemplate

MessageTemplates can be stacked and constrain different activities in their context

Operations

Business

Business is a base entity that describes a companies information. Thiis entity is used for contracts, clients, invoices, quotes, etc. It can be any type of relation you do business with.

Operations

SAML

SAML Configuration for Single-SignOn(SSO) establishment between Service-Provider(SP) and Identity-Provider(IDP)

Operations

Route

A route models the path going from one location to at least one other location.

Operations

Chat

Sending messages to users grouped by rooms

Operations

TransportEquipment

TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.

Operations

Insights

All the insights you need can be gathered from these endpoints

Operations

User

Users related to the platform and all actions required

Operations

DocumentTemplate

Visual document template designer for creating CMR, invoices, quotes and custom documents

Operations

Message automation

MessageAutomations are communication automation connectors that can use events

Operations

Chauffeur

Chauffeurs are the people who are responsible for controlling a Vehicle. They have schedules, planning and legal responsibilities.

Operations

User roles

The permissions grouped by a "Role", that can be assigned to a user

Operations

StackMap

A stackMap models the snapshots of planned stacking across locations.

Operations

Quote

Quotes

Operations

ScheduleRoute

A scheduleRoute is a device that is able to measure a quantity in a certain unit, such as measuring the speed in km/h.

Operations

VehicleGroup

A VehicleGroup is a group of Vehicle's. Groups can be used to reference a list of vehicles without having to select each individual one.

Operations

LedgerEntry

LedgerEntry ...

Operations

Goods

Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.

Operations

Transaction

Transactions

Operations

Async

Generic asynchronous request results

Operations

Terminal

Terminal management for term&conditions in forwarded orders

Operations

Notification

Notification endpoint to notify people, groups or the entire user base of things they might want to know or need to know

Operations

Capacity

A capacity models the amount of cargo, a schedule can deliver.

Operations

Attribute

Object describing a geographic attribute. A attribute can either be a point or an area.

Operations

Sensor

A sensor is a device that is able to measure a quantity in a certain unit, such as measuring the speed in km/h.

Operations

Camera

A Camera.

Operations

Location

Object describing a geographic location. A location can either be a point or an area.

Operations

TransportOrder

The TransportOrder is the top-level entity to model a group of related consignments that might be transported separately, but need to be administered together.

Operations

Team

A Team is a group of Vehicle's. Groups can be used to reference a list of vehicles without having to select each individual one.

Operations

Get settingsGroups

Request

Get list of settingsGroups

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountinteger(int64)required
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/settingsGroups/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
totalResultsinteger(int32)
settingsGroupsArray of objects(SettingsGroupModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "totalResults": 0, "settingsGroups": [ {} ] }

Search settingsGroups

Request

Search list of settingsGroups

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountinteger(int64)required
Headers
Authorizationstringrequired
curl -i -X POST \
  'https://docs.transportial.com/_mock/apis/settingsGroups/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
totalResultsinteger(int32)
settingsGroupsArray of objects(SettingsGroupModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "totalResults": 0, "settingsGroups": [ {} ] }

Get teams

Request

Get list of teams

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountinteger(int64)required
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/teams/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
totalResultsinteger(int32)
teamsArray of objects(TeamModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "totalResults": 0, "teams": [ {} ] }

Search teams

Request

Search list of teams

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountinteger(int64)required
Headers
Authorizationstringrequired
curl -i -X POST \
  'https://docs.transportial.com/_mock/apis/teams/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
totalResultsinteger(int32)
teamsArray of objects(TeamModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "totalResults": 0, "teams": [ {} ] }

Update settingsGroup

Request

Update a settingsGroup

Security
bearer or apiKey or apiSecret
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
noncestring

Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

uuidstringrequired
primaryPlatformIdstringrequired
languageobject(LanguageModel)
platformsArray of objects(PlatformModel)
primaryboolean
localStorageSettingsobject
hiddenFieldsArray of strings
defaultSettingsobject(Settings)
lastSettingsAppliedstring(date-time)
applyVersionNumberinteger(int32)
namestring
usersArray of objects(User)
curl -i -X PUT \
  https://docs.transportial.com/_mock/apis/settingsGroup \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonce": "string",
    "uuid": "string",
    "primaryPlatformId": "string",
    "language": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "platforms": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "nameSpace": "string",
          "logo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "favicon": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "hostNames": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "hostName": "string"
            }
          ],
          "features": [
            {
              "name": "string",
              "accountTypes": [
                "default"
              ]
            }
          ],
          "allowedEmailDomains": [
            "string"
          ],
          "emailIntegration": {
            "nonce": "string",
            "type": "manual",
            "name": "string",
            "description": "string",
            "schedule": {
              "integrationSchedulerScheduleValue": 0,
              "integrationSchedulerScheduleType": "seconds",
              "milliseconds": 0
            },
            "dataSources": [
              {
                "nonce": "string",
                "directionType": "in",
                "connectionType": "api",
                "requestMethod": "get",
                "dataType": "xml",
                "entityType": "action",
                "url": "string",
                "port": 0,
                "path": "string",
                "token": "string",
                "query": "string",
                "parameters": [
                  null
                ],
                "allowedIps": [
                  null
                ],
                "hasAuthentication": true,
                "credentials": {
                  "externalAttributes": {},
                  "headers": {}
                },
                "otm": true,
                "fields": [
                  null
                ],
                "filters": [
                  null
                ],
                "template": true
              }
            ],
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "sectorType": "boardComputer",
            "manualType": "transics",
            "enabledFunctions": [
              "string"
            ],
            "url": "string",
            "port": 0,
            "credentials": {
              "authenticationMethod": "apiKey",
              "username": "string",
              "password": "string",
              "accessKey": "string",
              "secretKey": "string",
              "clientId": "string",
              "clientSecret": "string",
              "grantType": "string",
              "scope": "string",
              "apiKey": "string",
              "bearer": "string",
              "sshKey": {
                "nonce": "string",
                "url": "string",
                "path": "string",
                "name": "string",
                "originalName": "string",
                "size": 0,
                "purpose": "string",
                "type": "IMAGE",
                "mimeType": "string",
                "extension": "string",
                "identifiers": [
                  null
                ],
                "bucket": {},
                "uploadedAt": "2019-08-24T14:15:22Z",
                "tempFile": "string"
              },
              "sshTunnel": true,
              "sshHost": "string",
              "sshUsername": "string",
              "sshPassword": "string",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "headers": {
                "property1": {},
                "property2": {}
              },
              "oauthUrl": "string",
              "oAuthCache": "string",
              "oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
              "openIdToken": "string",
              "openIdRefreshToken": "string",
              "openIdAccessToken": "string",
              "openIdExpiration": "2019-08-24T14:15:22Z"
            },
            "filters": [
              {
                "selector": "string",
                "comparisonType": "equal",
                "value": "string",
                "linkType": "and",
                "filters": [
                  {}
                ],
                "sequenceNr": 0,
                "valueSelector": "string"
              }
            ],
            "integration": [
              {
                "nonce": "string",
                "author": {
                  "recoveryCodes": [],
                  "identifiers": [],
                  "notes": [],
                  "businesses": [],
                  "features": [],
                  "vehicleGroups": []
                },
                "name": "string",
                "text": "string"
              }
            ]
          },
          "notificationLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "fullLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "backgroundImage": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkFavicon": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkNotificationLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkFullLogo": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "darkBackgroundImage": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "primaryColor": "string",
          "secondaryColor": "string",
          "darkPrimaryColor": "string",
          "darkSecondaryColor": "string",
          "planningSettings": {
            "defaultDeliveryTerms": "EXW",
            "optimizerEngine": "transportial",
            "alwaysCombinedTransport": true,
            "finishTripOnActionsComplete": true,
            "requirePlannerCompletionForTrips": true,
            "showEventsOnActionCards": true,
            "goodsWeightsAndLoadMetersAreTotalFields": true,
            "optimizerAlgorithmConfiguration": {
              "defaultVehicleOperatingIntervals": [
                {}
              ],
              "maxDrivingPeriod": 0,
              "maxPeriod": 0,
              "ignoreLocationConstraints": true,
              "ignoreConsignmentConstraints": true,
              "ignoreActionConstraints": true
            },
            "loadActionDefaultDuration": 0,
            "unloadActionDefaultDuration": 0,
            "stopActionDefaultDuration": 0,
            "attachTransportEquipmentActionDefaultDuration": 0,
            "detachTransportEquipmentActionDefaultDuration": 0,
            "groupedStopActionDurationSeconds": 0,
            "defaultTransportOrderTemplate": "string",
            "consignmentAttributeCheckmarks": [
              {
                "nonce": "string",
                "name": "string",
                "color": "string"
              }
            ],
            "defaultTripStartDuration": 0,
            "defaultTripStartDateFromNextActionTimeWindow": true,
            "defaultTollCostPricingCategory": {
              "nonce": "string",
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true,
              "identifiers": [
                {}
              ]
            },
            "mapUris": [
              {
                "name": "string",
                "previewUrl": "string",
                "url": "string"
              }
            ],
            "preferredTransportModes": [
              "maritime"
            ],
            "onlyCalculateRouteOnTripConfirmed": true,
            "onlyCalculateCapacityOnTripConfirmed": true,
            "onlyCalculateFinanceOnTripConfirmed": true,
            "actionResultQuestionnaires": {
              "property1": {
                "enabled": true,
                "questions": [
                  null
                ],
                "resultMappings": [
                  null
                ]
              },
              "property2": {
                "enabled": true,
                "questions": [
                  null
                ],
                "resultMappings": [
                  null
                ]
              }
            },
            "sortActionsOnConsignmentDrop": true,
            "includeQuoteLinesOnTransportOrderPdf": true
          },
          "pricingSettings": {
            "defaultChauffeurCostPricing": [
              {
                "nonce": "string",
                "type": "fixed",
                "name": "string",
                "sequenceNr": 0,
                "description": "string",
                "category": {
                  "identifiers": []
                },
                "taxRates": [
                  null
                ],
                "filters": [
                  null
                ],
                "oncePerInvoice": true
              }
            ],
            "defaultVehicleCostPricing": [
              {
                "nonce": "string",
                "type": "fixed",
                "name": "string",
                "sequenceNr": 0,
                "description": "string",
                "category": {
                  "identifiers": []
                },
                "taxRates": [
                  null
                ],
                "filters": [
                  null
                ],
                "oncePerInvoice": true
              }
            ]
          },
          "credentialSettings": {
            "force2FA": true,
            "stripeKey": "string",
            "stripePublicKey": "string",
            "ptvKey": "string",
            "ptvSecret": "string",
            "awsKey": "string",
            "awsSecret": "string",
            "googleApiKey": "string",
            "googleApiSecret": "string",
            "hereApiKey": "string",
            "osrmUrl": "string",
            "cloverOptApiKey": "string",
            "googleCaptchaKey": "string",
            "googleCaptchaSecret": "string"
          },
          "routingSettings": {
            "routingEngine": "transportial",
            "seaPassages": {
              "allowSuez": true,
              "allowPanama": true,
              "allowMalacca": true,
              "allowGibraltar": true,
              "allowDover": true,
              "allowBering": true,
              "allowMagellan": true,
              "allowBabelmandeb": true,
              "allowKiel": true,
              "allowCorinth": true,
              "allowNorthwest": true,
              "allowNortheast": true
            }
          },
          "translationSettings": {
            "languagesLabels": [
              {
                "language": "string",
                "labels": "string"
              }
            ]
          },
          "uiSettings": {
            "hiddenFields": [
              "string"
            ],
            "requiredFields": [
              "string"
            ],
            "validationRules": [
              "string"
            ],
            "requireVerifiedBusinesses": true,
            "userSettableMessageAutomations": [
              {
                "nonce": "string",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string",
                "type": "messageAutomation",
                "notes": [
                  {}
                ]
              }
            ]
          },
          "alertsSettings": {
            "enableCapacityAlerts": true,
            "enableDocumentsNeededAlerts": true,
            "enableVehicleConflictAlerts": true,
            "enableTransportEquipmentConflictAlerts": true,
            "enableChauffeurConflictAlerts": true
          },
          "financialSettings": {
            "defaultTaxRate": {
              "nonce": "string",
              "creditCode": "string",
              "debitCode": "string",
              "identifiers": [
                {}
              ],
              "name": "string",
              "description": "string",
              "jurisdiction": "string",
              "percentage": 0.1,
              "inclusive": true,
              "active": true
            },
            "enableInvoiceApprovalFlow": true
          },
          "canRegister": true,
          "canRequestAccess": true,
          "description": "string",
          "contactEmail": "string",
          "business": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "relationType": "string",
            "alias": "string",
            "description": "string",
            "transportLicenseNumber": "string",
            "eori": "string",
            "scacCode": "string",
            "industry": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "abbreviated": "string",
              "enabled": true
            },
            "website": "string",
            "coc": "string",
            "vat": "string",
            "invoiceAttentionTo": "string",
            "invoiceEmail": "string",
            "quoteAttentionTo": "string",
            "quoteEmail": "string",
            "verified": true,
            "documents": [
              {
                "associationType": "inline",
                "entity": {
                  "identifiers": [],
                  "externalAttributes": {}
                }
              }
            ],
            "logo": {
              "nonce": "string",
              "url": "string",
              "path": "string",
              "name": "string",
              "originalName": "string",
              "size": 0,
              "purpose": "string",
              "type": "IMAGE",
              "mimeType": "string",
              "extension": "string",
              "identifiers": [
                {}
              ],
              "bucket": {
                "nonce": "string",
                "name": "string"
              },
              "uploadedAt": "2019-08-24T14:15:22Z",
              "tempFile": "string"
            },
            "banners": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "url": "string",
                "path": "string",
                "name": "string",
                "originalName": "string",
                "size": 0,
                "purpose": "string",
                "type": "IMAGE",
                "mimeType": "string",
                "extension": "string",
                "identifiers": [
                  null
                ],
                "bucket": {
                  "language": {}
                },
                "uploadedAt": "2019-08-24T14:15:22Z",
                "tempFile": "string",
                "contentMatrix": [
                  []
                ]
              }
            ],
            "locations": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "warehouse",
                "name": "string",
                "unCode": "string",
                "geoReference": {
                  "language": {}
                },
                "administrativeReference": {},
                "contactDetails": [
                  null
                ],
                "openingTimes": {},
                "terminal": {
                  "language": {},
                  "locations": [],
                  "allowedModalities": [],
                  "terminalSettings": []
                },
                "actions": [
                  null
                ],
                "constraints": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "remark": "string",
                "hash": "string",
                "identifiers": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "dataIsComplete": true
              }
            ],
            "identification": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "url": "string",
                "path": "string",
                "name": "string",
                "originalName": "string",
                "size": 0,
                "purpose": "string",
                "type": "IMAGE",
                "mimeType": "string",
                "extension": "string",
                "identifiers": [
                  null
                ],
                "bucket": {
                  "language": {}
                },
                "uploadedAt": "2019-08-24T14:15:22Z",
                "tempFile": "string",
                "contentMatrix": [
                  []
                ]
              }
            ],
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "contactDetails": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "iban",
                "value": "string",
                "remarks": "string"
              }
            ],
            "contactPersons": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "firstName": "string",
                "lastName": "string",
                "position": "string",
                "email": "string",
                "phone": "string",
                "mobilePhone": "string"
              }
            ],
            "notes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "author": {},
                "name": "string",
                "text": "string"
              }
            ],
            "partOf": [
              {}
            ],
            "administration": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "platforms": [
                {}
              ],
              "name": "string",
              "primary": true,
              "transportOrderPrefix": "string",
              "consignmentPrefix": "string",
              "business": {},
              "currency": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "bankAccounts": [
                {
                  "language": {},
                  "validation": {},
                  "identifiers": []
                }
              ],
              "numberFormat": "string",
              "numberLength": 0,
              "dueDays": 0,
              "invoiceNumberIndex": {
                "property1": 0,
                "property2": 0
              },
              "quoteNumberIndex": {
                "property1": 0,
                "property2": 0
              },
              "invoiceSendMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "automaticallySendReminders": true,
              "invoiceFirstReminderMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoiceSecondReminderMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoiceThirdReminderMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoicePaidMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "quoteSendMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoiceTermsAndConditions": [
                {}
              ],
              "quoteTermsAndConditions": [
                {}
              ],
              "transportOrderTermsAndConditions": [
                {}
              ],
              "identifiers": [
                {
                  "language": {}
                }
              ]
            },
            "dataIsComplete": true,
            "pricingConfigurationCount": 0,
            "hasAgreedToPrice": true
          },
          "childOf": {},
          "billing": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "plan": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "description": "string",
              "interval": "endOfWeek",
              "intervalCount": 0,
              "trialPeriodDays": 0,
              "usageElementTypePrices": {
                "property1": [
                  null
                ],
                "property2": [
                  null
                ]
              },
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "startedAt": "2019-08-24T14:15:22Z",
              "expiredAt": "2019-08-24T14:15:22Z",
              "primary": true
            },
            "companyName": "string",
            "vat": "string",
            "email": "string",
            "administrativeReference": {
              "name": "string",
              "street": "string",
              "houseNumber": "string",
              "houseNumberAddition": "string",
              "postalCode": "string",
              "city": "string",
              "country": "string"
            },
            "customerId": "string",
            "intentId": "string",
            "lastBilled": "2019-08-24T14:15:22Z",
            "lastUsageEventsRun": "2019-08-24T14:15:22Z",
            "approvedBillingElementTypes": [
              "user"
            ]
          },
          "apps": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "logo": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "url": "string",
                "path": "string",
                "name": "string",
                "originalName": "string",
                "size": 0,
                "purpose": "string",
                "type": "IMAGE",
                "mimeType": "string",
                "extension": "string",
                "identifiers": [
                  null
                ],
                "bucket": {
                  "language": {}
                },
                "uploadedAt": "2019-08-24T14:15:22Z",
                "tempFile": "string",
                "contentMatrix": [
                  []
                ]
              },
              "name": "string",
              "description": "string",
              "publisher": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "logo": {
                  "language": {},
                  "identifiers": [],
                  "contentMatrix": []
                },
                "name": "string",
                "description": "string",
                "users": [
                  null
                ]
              },
              "termsAndConditions": "string",
              "lastVersion": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "buildNumber": 0,
                "version": "string",
                "permissions": [
                  null
                ],
                "hooks": [
                  null
                ],
                "approved": true
              },
              "versions": [
                {
                  "language": {},
                  "permissions": [],
                  "hooks": []
                }
              ],
              "approved": true,
              "public": true
            }
          ],
          "disablingAt": "2019-08-24T14:15:22Z",
          "disabled": true,
          "inWaitList": true
        }
      ],
      "name": "string",
      "localName": "string",
      "code": "string",
      "iso3166": "string",
      "decimalDelimiter": "string",
      "thousandDelimiter": "string",
      "dateFormat": "string",
      "measurementUnit": "metric"
    },
    "platforms": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "nameSpace": "string",
        "logo": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "favicon": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "hostNames": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "hostName": "string"
          }
        ],
        "features": [
          {
            "name": "string",
            "accountTypes": [
              "default"
            ]
          }
        ],
        "allowedEmailDomains": [
          "string"
        ],
        "emailIntegration": {
          "nonce": "string",
          "type": "manual",
          "name": "string",
          "description": "string",
          "schedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "dataSources": [
            {
              "nonce": "string",
              "directionType": "in",
              "connectionType": "api",
              "requestMethod": "get",
              "dataType": "xml",
              "entityType": "action",
              "url": "string",
              "port": 0,
              "path": "string",
              "token": "string",
              "query": "string",
              "parameters": [
                {
                  "fields": [],
                  "filters": [],
                  "options": []
                }
              ],
              "allowedIps": [
                "string"
              ],
              "hasAuthentication": true,
              "credentials": {
                "authenticationMethod": "apiKey",
                "username": "string",
                "password": "string",
                "accessKey": "string",
                "secretKey": "string",
                "clientId": "string",
                "clientSecret": "string",
                "grantType": "string",
                "scope": "string",
                "apiKey": "string",
                "bearer": "string",
                "sshKey": {
                  "identifiers": []
                },
                "sshTunnel": true,
                "sshHost": "string",
                "sshUsername": "string",
                "sshPassword": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "headers": {
                  "property1": {},
                  "property2": {}
                },
                "oauthUrl": "string",
                "oAuthCache": "string",
                "oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
                "openIdToken": "string",
                "openIdRefreshToken": "string",
                "openIdAccessToken": "string",
                "openIdExpiration": "2019-08-24T14:15:22Z"
              },
              "otm": true,
              "fields": [
                {
                  "fields": [],
                  "filters": [],
                  "options": []
                }
              ],
              "filters": [
                {
                  "filters": []
                }
              ],
              "template": true
            }
          ],
          "enabled": true,
          "lastHandled": "2019-08-24T14:15:22Z",
          "sectorType": "boardComputer",
          "manualType": "transics",
          "enabledFunctions": [
            "string"
          ],
          "url": "string",
          "port": 0,
          "credentials": {
            "authenticationMethod": "apiKey",
            "username": "string",
            "password": "string",
            "accessKey": "string",
            "secretKey": "string",
            "clientId": "string",
            "clientSecret": "string",
            "grantType": "string",
            "scope": "string",
            "apiKey": "string",
            "bearer": "string",
            "sshKey": {
              "nonce": "string",
              "url": "string",
              "path": "string",
              "name": "string",
              "originalName": "string",
              "size": 0,
              "purpose": "string",
              "type": "IMAGE",
              "mimeType": "string",
              "extension": "string",
              "identifiers": [
                {}
              ],
              "bucket": {
                "nonce": "string",
                "name": "string"
              },
              "uploadedAt": "2019-08-24T14:15:22Z",
              "tempFile": "string"
            },
            "sshTunnel": true,
            "sshHost": "string",
            "sshUsername": "string",
            "sshPassword": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "headers": {
              "property1": {},
              "property2": {}
            },
            "oauthUrl": "string",
            "oAuthCache": "string",
            "oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
            "openIdToken": "string",
            "openIdRefreshToken": "string",
            "openIdAccessToken": "string",
            "openIdExpiration": "2019-08-24T14:15:22Z"
          },
          "filters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ],
          "integration": [
            {
              "nonce": "string",
              "author": {
                "nonce": "string",
                "hasAgreedToPrice": true,
                "type": "user",
                "username": "string",
                "avatar": {
                  "identifiers": []
                },
                "firstName": "string",
                "lastName": "string",
                "email": "string",
                "phone": "string",
                "password": "string",
                "passwordModified": "2019-08-24T14:15:22Z",
                "twoFactorAuthentication": true,
                "totdSecret": "string",
                "recoveryCodes": [
                  null
                ],
                "status": "DELETED",
                "loginMethod": "DEFAULT",
                "role": {
                  "permissions": []
                },
                "currency": {},
                "activeAdministration": {
                  "bankAccounts": [],
                  "invoiceNumberIndex": {},
                  "quoteNumberIndex": {},
                  "invoiceTermsAndConditions": [],
                  "quoteTermsAndConditions": [],
                  "transportOrderTermsAndConditions": [],
                  "invoiceStandardDocuments": [],
                  "quoteStandardDocuments": [],
                  "identifiers": []
                },
                "identifiers": [
                  null
                ],
                "accountType": "default",
                "standardLoadingSize": 10,
                "notes": [
                  {}
                ],
                "businesses": [
                  null
                ],
                "features": [
                  null
                ],
                "timezone": "string",
                "vehicleGroups": [
                  null
                ]
              },
              "name": "string",
              "text": "string"
            }
          ]
        },
        "notificationLogo": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "fullLogo": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "backgroundImage": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "darkLogo": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "darkFavicon": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "darkNotificationLogo": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "darkFullLogo": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "darkBackgroundImage": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        },
        "primaryColor": "string",
        "secondaryColor": "string",
        "darkPrimaryColor": "string",
        "darkSecondaryColor": "string",
        "planningSettings": {
          "defaultDeliveryTerms": "EXW",
          "optimizerEngine": "transportial",
          "alwaysCombinedTransport": true,
          "finishTripOnActionsComplete": true,
          "requirePlannerCompletionForTrips": true,
          "showEventsOnActionCards": true,
          "goodsWeightsAndLoadMetersAreTotalFields": true,
          "optimizerAlgorithmConfiguration": {
            "defaultVehicleOperatingIntervals": [
              {
                "start": 0,
                "end": 0
              }
            ],
            "maxDrivingPeriod": 0,
            "maxPeriod": 0,
            "ignoreLocationConstraints": true,
            "ignoreConsignmentConstraints": true,
            "ignoreActionConstraints": true
          },
          "loadActionDefaultDuration": 0,
          "unloadActionDefaultDuration": 0,
          "stopActionDefaultDuration": 0,
          "attachTransportEquipmentActionDefaultDuration": 0,
          "detachTransportEquipmentActionDefaultDuration": 0,
          "groupedStopActionDurationSeconds": 0,
          "defaultTransportOrderTemplate": "string",
          "consignmentAttributeCheckmarks": [
            {
              "nonce": "string",
              "name": "string",
              "color": "string"
            }
          ],
          "defaultTripStartDuration": 0,
          "defaultTripStartDateFromNextActionTimeWindow": true,
          "defaultTollCostPricingCategory": {
            "nonce": "string",
            "name": "string",
            "creditCode": "string",
            "debitCode": "string",
            "defaultValue": 0.1,
            "enabled": true,
            "tripRevenue": true,
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ]
          },
          "mapUris": [
            {
              "name": "string",
              "previewUrl": "string",
              "url": "string"
            }
          ],
          "preferredTransportModes": [
            "maritime"
          ],
          "onlyCalculateRouteOnTripConfirmed": true,
          "onlyCalculateCapacityOnTripConfirmed": true,
          "onlyCalculateFinanceOnTripConfirmed": true,
          "actionResultQuestionnaires": {
            "property1": {
              "enabled": true,
              "questions": [
                {
                  "options": []
                }
              ],
              "resultMappings": [
                {
                  "conditions": []
                }
              ]
            },
            "property2": {
              "enabled": true,
              "questions": [
                {
                  "options": []
                }
              ],
              "resultMappings": [
                {
                  "conditions": []
                }
              ]
            }
          },
          "sortActionsOnConsignmentDrop": true,
          "includeQuoteLinesOnTransportOrderPdf": true
        },
        "pricingSettings": {
          "defaultChauffeurCostPricing": [
            {
              "nonce": "string",
              "type": "fixed",
              "name": "string",
              "sequenceNr": 0,
              "description": "string",
              "category": {
                "nonce": "string",
                "name": "string",
                "creditCode": "string",
                "debitCode": "string",
                "defaultValue": 0.1,
                "enabled": true,
                "tripRevenue": true,
                "identifiers": [
                  null
                ]
              },
              "taxRates": [
                {
                  "filters": []
                }
              ],
              "filters": [
                {
                  "filters": []
                }
              ],
              "oncePerInvoice": true
            }
          ],
          "defaultVehicleCostPricing": [
            {
              "nonce": "string",
              "type": "fixed",
              "name": "string",
              "sequenceNr": 0,
              "description": "string",
              "category": {
                "nonce": "string",
                "name": "string",
                "creditCode": "string",
                "debitCode": "string",
                "defaultValue": 0.1,
                "enabled": true,
                "tripRevenue": true,
                "identifiers": [
                  null
                ]
              },
              "taxRates": [
                {
                  "filters": []
                }
              ],
              "filters": [
                {
                  "filters": []
                }
              ],
              "oncePerInvoice": true
            }
          ]
        },
        "credentialSettings": {
          "force2FA": true,
          "stripeKey": "string",
          "stripePublicKey": "string",
          "ptvKey": "string",
          "ptvSecret": "string",
          "awsKey": "string",
          "awsSecret": "string",
          "googleApiKey": "string",
          "googleApiSecret": "string",
          "hereApiKey": "string",
          "osrmUrl": "string",
          "cloverOptApiKey": "string",
          "googleCaptchaKey": "string",
          "googleCaptchaSecret": "string"
        },
        "routingSettings": {
          "routingEngine": "transportial",
          "seaPassages": {
            "allowSuez": true,
            "allowPanama": true,
            "allowMalacca": true,
            "allowGibraltar": true,
            "allowDover": true,
            "allowBering": true,
            "allowMagellan": true,
            "allowBabelmandeb": true,
            "allowKiel": true,
            "allowCorinth": true,
            "allowNorthwest": true,
            "allowNortheast": true
          }
        },
        "translationSettings": {
          "languagesLabels": [
            {
              "language": "string",
              "labels": "string"
            }
          ]
        },
        "uiSettings": {
          "hiddenFields": [
            "string"
          ],
          "requiredFields": [
            "string"
          ],
          "validationRules": [
            "string"
          ],
          "requireVerifiedBusinesses": true,
          "userSettableMessageAutomations": [
            {
              "nonce": "string",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string",
              "type": "messageAutomation",
              "notes": [
                {}
              ]
            }
          ]
        },
        "alertsSettings": {
          "enableCapacityAlerts": true,
          "enableDocumentsNeededAlerts": true,
          "enableVehicleConflictAlerts": true,
          "enableTransportEquipmentConflictAlerts": true,
          "enableChauffeurConflictAlerts": true
        },
        "financialSettings": {
          "defaultTaxRate": {
            "nonce": "string",
            "creditCode": "string",
            "debitCode": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "name": "string",
            "description": "string",
            "jurisdiction": "string",
            "percentage": 0.1,
            "inclusive": true,
            "active": true
          },
          "enableInvoiceApprovalFlow": true
        },
        "canRegister": true,
        "canRequestAccess": true,
        "description": "string",
        "contactEmail": "string",
        "business": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "relationType": "string",
          "alias": "string",
          "description": "string",
          "transportLicenseNumber": "string",
          "eori": "string",
          "scacCode": "string",
          "industry": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "abbreviated": "string",
            "enabled": true
          },
          "website": "string",
          "coc": "string",
          "vat": "string",
          "invoiceAttentionTo": "string",
          "invoiceEmail": "string",
          "quoteAttentionTo": "string",
          "quoteEmail": "string",
          "verified": true,
          "documents": [
            {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "description": "string",
                "expiresAt": "2019-08-24T14:15:22Z",
                "fileName": "string",
                "mimeType": "string",
                "encoding": "string",
                "verified": true,
                "isPublic": true,
                "owner": {},
                "content": {},
                "file": {
                  "identifiers": []
                },
                "identifiers": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "name": "string"
              }
            }
          ],
          "logo": {
            "nonce": "string",
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string"
          },
          "banners": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "url": "string",
              "path": "string",
              "name": "string",
              "originalName": "string",
              "size": 0,
              "purpose": "string",
              "type": "IMAGE",
              "mimeType": "string",
              "extension": "string",
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "bucket": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string"
              },
              "uploadedAt": "2019-08-24T14:15:22Z",
              "tempFile": "string",
              "contentMatrix": [
                [
                  null
                ]
              ]
            }
          ],
          "locations": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "warehouse",
              "name": "string",
              "unCode": "string",
              "geoReference": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "addressGeoReference",
                "name": "string",
                "street": "string",
                "houseNumber": "string",
                "houseNumberAddition": "string",
                "postalCode": "string",
                "city": "string",
                "country": "string",
                "hash": "string"
              },
              "administrativeReference": {
                "name": "string",
                "street": "string",
                "houseNumber": "string",
                "houseNumberAddition": "string",
                "postalCode": "string",
                "city": "string",
                "country": "string"
              },
              "contactDetails": [
                {
                  "language": {}
                }
              ],
              "openingTimes": {
                "monday": {},
                "tuesday": {},
                "wednesday": {},
                "thursday": {},
                "friday": {},
                "saturday": {},
                "sunday": {}
              },
              "terminal": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "integrationType": "portbase",
                "ean": "string",
                "bicsCode": "string",
                "quayName": "string",
                "smdgCode": "string",
                "locations": [
                  {}
                ],
                "allowedModalities": [
                  null
                ],
                "terminalSettings": [
                  null
                ],
                "tarRequired": true,
                "roadLicenseIdRequired": true
              },
              "actions": [
                {
                  "language": {},
                  "externalAttributes": {},
                  "identifiers": [],
                  "actions": [],
                  "communicationRequests": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "constraints": []
                }
              ],
              "constraints": [
                {
                  "language": {}
                }
              ],
              "pricingElements": [
                {
                  "language": {},
                  "business": {}
                }
              ],
              "remark": "string",
              "hash": "string",
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "dataIsComplete": true
            }
          ],
          "identification": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "url": "string",
              "path": "string",
              "name": "string",
              "originalName": "string",
              "size": 0,
              "purpose": "string",
              "type": "IMAGE",
              "mimeType": "string",
              "extension": "string",
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "bucket": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string"
              },
              "uploadedAt": "2019-08-24T14:15:22Z",
              "tempFile": "string",
              "contentMatrix": [
                [
                  null
                ]
              ]
            }
          ],
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "contactDetails": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "iban",
              "value": "string",
              "remarks": "string"
            }
          ],
          "contactPersons": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "firstName": "string",
              "lastName": "string",
              "position": "string",
              "email": "string",
              "phone": "string",
              "mobilePhone": "string"
            }
          ],
          "notes": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "author": {},
              "name": "string",
              "text": "string"
            }
          ],
          "partOf": [
            {}
          ],
          "administration": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "platforms": [
              {}
            ],
            "name": "string",
            "primary": true,
            "transportOrderPrefix": "string",
            "consignmentPrefix": "string",
            "business": {},
            "currency": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "bankAccounts": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "accountHolderName": "string",
                "accountHolderType": "string",
                "bankName": "string",
                "routingNumber": "string",
                "accountNumber": "string",
                "last4": "string",
                "currency": {},
                "country": "string",
                "validation": {},
                "validated": true,
                "identifiers": [
                  null
                ]
              }
            ],
            "numberFormat": "string",
            "numberLength": 0,
            "dueDays": 0,
            "invoiceNumberIndex": {
              "property1": 0,
              "property2": 0
            },
            "quoteNumberIndex": {
              "property1": 0,
              "property2": 0
            },
            "invoiceSendMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "automaticallySendReminders": true,
            "invoiceFirstReminderMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "invoiceSecondReminderMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "invoiceThirdReminderMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "invoicePaidMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
[...]
